Loading...
Searching...
No Matches
Lomiri::DownloadManager::NetworkError Class Reference

The NetworkError represents an error that occurred during the download request. More...

`#include <error.h>`

Inheritance diagram for Lomiri::DownloadManager::NetworkError:
Collaboration diagram for Lomiri::DownloadManager::NetworkError:

## Public Types

enum

ErrorCode {
ConnectionRefusedError ,
RemoteHostClosedError ,
HostNotFoundError ,
TimeoutError ,
OperationCanceledError ,
SslHandshakeFailedError ,
TemporaryNetworkFailureError ,
NetworkSessionFailedError ,
BackgroundRequestNotAllowedError ,
ProxyConnectionRefusedError ,
ProxyConnectionClosedError ,
ProxyNotFoundError ,
ProxyTimeoutError ,
ProxyAuthenticationRequiredError ,
ContentAccessDenied ,
ContentOperationNotPermittedError ,
ContentNotFoundError ,
AuthenticationRequiredError ,
ContentReSendError ,
ProtocolUnknownError ,
ProtocolInvalidOperationError ,
UnknownNetworkError ,
UnknownProxyError ,
UnknownContentError ,
ProtocolFailure
}

Public Types inherited from Lomiri::DownloadManager::Error
enum | Type { Auth , DBus , Http , Network , Process , Hash }

## Public Member Functions

virtual | ~NetworkError ()
ErrorCode | code ()
QString | phrase ()
QString | errorString () override
Public Member Functions inherited from Lomiri::DownloadManager::Error
virtual | ~Error ()
Type | type ()

## Protected Member Functions

| NetworkError (Transfers::Errors::NetworkErrorStruct err, QObject *parent)
Protected Member Functions inherited from Lomiri::DownloadManager::Error
| Error (Type type, QObject *parent=0)

## Detailed Description

The NetworkError represents an error that occurred during the download request.

Since
  0.3

Definition at line 311 of file error.h.

## Member Enumeration Documentation

## ErrorCode

enum Lomiri::DownloadManager::NetworkError::ErrorCode

Enumerator that indicates all possible error conditions found during the processing of the request.

Enumerator
ConnectionRefusedError |
RemoteHostClosedError | The remote server refused the connection (the server is not accepting requests).
HostNotFoundError | The remote server closed the connection prematurely, before the entire reply was received and processed.
TimeoutError | The remote host name was not found (invalid hostname).
OperationCanceledError | The connection to the remote server timed out.
SslHandshakeFailedError | The operation was canceled.
TemporaryNetworkFailureError | The SSL/TLS handshake failed and the encrypted channel could not be established.
NetworkSessionFailedError | The connection was broken due to disconnection from the networkd.
BackgroundRequestNotAllowedError | The connection was broken due to disconnection from the network or failure to start the network.
ProxyConnectionRefusedError | The background request is not currently allowed due to platform policy.
ProxyConnectionClosedError | The connection to the proxy server was refused (the proxy server is not accepting requests. )
ProxyNotFoundError | The proxy server closed the connection prematurely, before the entire reply was received and processed.
ProxyTimeoutError | The proxy host name was not found (invalid proxy hostname).
ProxyAuthenticationRequiredError | The connection to the proxy timed out or the proxy did not reply in time to the request sent.
ContentAccessDenied | The proxy requires authentication in order to honour the request but did not accept any credentials offered.
ContentOperationNotPermittedError | The access to the remote content was denied.
ContentNotFoundError | The operation requested on the remote content is not permitted.
AuthenticationRequiredError | The remote content was not found at the server.
ContentReSendError | The remote server requires authentication to serve the content but the credentials provided were not accepted.
ProtocolUnknownError | The request needed to be sent again, but this failed.
ProtocolInvalidOperationError | The Network Access API cannot honor the request because the protocol is not known.
UnknownNetworkError | The requested operation is invalid for this protocol.
UnknownProxyError | An unknown network-related error was detected.
UnknownContentError | An unknown proxy-related error was detected.
ProtocolFailure | An breakdown in protocol was detected. A breakdown in protocol was detected.

Definition at line 323 of file error.h.

## Constructor & Destructor Documentation

## ~NetworkError()

Lomiri::DownloadManager::NetworkError::~NetworkError | ( |  | ) |

virtual

Disposes of this error and frees any resources associated with it.

Definition at line 381 of file error.cpp.

## NetworkError()

Lomiri::DownloadManager::NetworkError::NetworkError | ( | Transfers::Errors::NetworkErrorStruct | err,
|  | QObject * | parent )

protected

Creates a new error from the provided http error struct.

Definition at line 375 of file error.cpp.

References Lomiri::DownloadManager::Error::Error(), and Lomiri::DownloadManager::Error::Network.

Referenced by code(), errorString(), and phrase().

Here is the call graph for this function:

## Member Function Documentation

## code()

NetworkError::ErrorCode Lomiri::DownloadManager::NetworkError::code | ( |  | ) |

/fn ErrorCode code()

Returns the code that represents the occurred error.

Definition at line 386 of file error.cpp.

References NetworkError().

Here is the call graph for this function:

## errorString()

QString Lomiri::DownloadManager::NetworkError::errorString | ( |  | ) |

override virtual

/fn QString errorString() override

Returns a string representation of the error.

Reimplemented from Lomiri::DownloadManager::Error.

Definition at line 398 of file error.cpp.

References NetworkError().

Here is the call graph for this function:

## phrase()

QString Lomiri::DownloadManager::NetworkError::phrase | ( |  | ) |

/fn QString phrase()

Returns a human readable explanation of the occurred error.

Definition at line 392 of file error.cpp.

References NetworkError().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- error.h
- error.cpp